# Wirefox Remote

Wirefox Remote is a simple and customizable remote control application for your PC.

# Prerequisites

* Port `8174`, `8175` and `8176` must be open on your system for all communications to be successful.

* The latest stable `GTK-3` version must installed (`3.24.37` at the time of this release) on your system.

# Compatibility

* Tested on XFCE and Cinnamon and should work well on most other desktop environments.

* If your hardware is heavily outdated you may experience weird UI glitches due to poor OpenGL support.

* You can switch the rendering api to something else by setting the "SKIKO_RENDER_API" enviromental variable to "
  SOFTWARE_FAST" or "SOFTWARE_COMPAT".

# Installation

To install the application run the following commands:

```bash
chmod +x install.sh

sudo ./install.sh
```

This installs the application in `/opt/wirefox-remote`, creates a desktop entry in `/usr/share/applications` and a
directory for configuration files in `$HOME/.local/share/wirefox-remote`.

# Uninstallation

To uninstall the application run the following commands:

```bash
chmod +x uninstall.sh

sudo ./uninstall.sh
```

This will delete the `/opt/wirefox-remote` directory and the entry in `/usr/share/applications`.

To delete any remaining configuration files run the following commands:

```bash
chmod +x rmcfg.sh

./rmcfg.sh
```

This will delete the configuration files in `$HOME/.local/share/wirefox-remote`
and `$HOME/.java/.userPrefs/wirefox-remote`.

# Thank you for using Wirefox Remote!

